## CORBA Interface IProcessJobExecution

### Definition

CORBA Module DFProcessFlow

### IProcessJobExecution Description

CORBA Definitions
attribute ExecFlags |
attribute KeepWorkTables |
method AsXMLExec |
method ClearExecContexts |
method ClearVariables |
method CloseTable |
method CopyWFState |
method CreateWFState |
method DeleteVariable |
method DisableWFState |
method GetSingleStepMode |
method GetState |
method GetStatus |
method GetTableRowsXML |
method GetVariable |
method GetVariables |
method GetWFStatePath |
method LoadVariableDefault |
method LoadVariableDefaults |
method LoadWFState |
method ResolveMappedValue |
method Resume |
method Run |
method SaveExec |
method SetExecContext |
method SetExecContexts |
method SetSingleStepMode |
method SetVariable |
method Step |
method Stop |
method ValidateExecContext |

Java Classes
IProcessJobExecutionHelper | Used to manipulate the IProcessJobExecution type
IProcessJobExecutionHolder | Used to process the IProcessJobExecution type as an out parameter

Java Interfaces
IProcessJobExecution |

Java Interface IProcessJobExecution

Package com.sas.iom.DFProcessFlow

IProcessJobExecution Description

`public interface IProcessJobExecution
extends org.omg.CORBA.Object`

Method Summary

octet[] | AsXMLExec ( ) throws ( GenericError );
void | ClearExecContexts ()
void | ClearVariables ()
void | CloseTable ( java.lang.String name ) throws ( GenericError );
void | CopyWFState ( java.lang.String dir , java.lang.String name , java.lang.String desc , WorkFlowStateMode mode , org.omg.CORBA.StringHolder path ) throws ( GenericError );
void | CreateWFState ( java.lang.String dir , java.lang.String name , java.lang.String desc , WorkFlowStateMode mode ) throws ( GenericError );
void | DeleteVariable ( java.lang.String name ) throws ( GenericError );
void | DisableWFState ()
void | GetSingleStepMode ( org.omg.CORBA.BooleanHolder value , org.omg.CORBA.BooleanHolder setSubSlot ) throws ( GenericError );
void | GetState ( ExecStateHolder state , org.omg.CORBA.StringHolder errMsg ) throws ( GenericError );
java.lang.String[][] | GetStatus ( ) throws ( GenericError );
octet[] | GetTableRowsXML ( java.lang.String name , long start , int count ) throws ( EndOfFile, GenericError );
void | GetVariable ( java.lang.String name , org.omg.CORBA.StringHolder value , org.omg.CORBA.StringHolder type ) throws ( NotFound, GenericError );
java.lang.String[][] | GetVariables ( ) throws ( GenericError );
void | GetWFStatePath ( org.omg.CORBA.StringHolder path ) throws ( GenericError );
void | LoadVariableDefault ( java.lang.String name ) throws ( GenericError );
void | LoadVariableDefaults ()
void | LoadWFState ( java.lang.String path , int flags ) throws ( GenericError );
void | ResolveMappedValue ( java.lang.String mapping , IProcessJobNode srcNode , boolean tableAsURI , int instExecNode , org.omg.CORBA.StringHolder value , org.omg.CORBA.StringHolder type ) throws ( GenericError );
void | Resume ()
void | Run ()
void | SaveExec ( java.lang.String filename ) throws ( GenericError );
void | SetExecContext ( IProcessJobNode node , ExecContextMoveType moveType , ExecContextMoveType childMoveType ) throws ( GenericError );
void | SetExecContexts ( ExecContextMoveType moveType , ExecContextMoveType childoveType ) throws ( GenericError );
void | SetSingleStepMode ( boolean value , boolean setSubSlot ) throws ( GenericError );
void | SetVariable ( java.lang.String name , java.lang.String value , java.lang.String type ) throws ( Unsupported, GenericError );
void | Step ()
void | Stop ( boolean kill ) throws ( GenericError );
void | ValidateExecContext ( IProcessJobNode node ) throws ( GenericError );

Java Class IProcessJobExecutionHelper

public class IProcessJobExecutionHelper

Description
Implementing class for methods (insert, extract, type, id, read, write, narrow) used to manipulate the IProcessJobExecution type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IProcessJobExecutionHelper

Java Class IProcessJobExecutionHolder

public class IProcessJobExecutionHolder

Description
Implementing class for methods (_read, _write, _type) used to process the IProcessJobExecution type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IProcessJobExecutionHolder

CORBA Attribute ExecFlags

Description

Usage

Java Method ExecFlags

    public int ExecFlags ();
    public void ExecFlags ( int ExecFlags );

CORBA Attribute KeepWorkTables

Description

Usage

Java Method KeepWorkTables

    public boolean KeepWorkTables ();
    public void KeepWorkTables ( boolean KeepWorkTables );

CORBA Method AsXMLExec

Description

Usage

Java Method AsXMLExec

`octet[]` AsXMLExec (

        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---

Example

CORBA Method ClearExecContexts

Description

Usage

Java Method ClearExecContexts

`void` ClearExecContexts ( )

Example

CORBA Method ClearVariables

Description

Usage

Java Method ClearVariables

`void` ClearVariables ( )

Example

CORBA Method CloseTable

Description

Usage

Java Method CloseTable

`void` CloseTable (

        java.lang.String name
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
name | in | java.lang.String |

Example

CORBA Method CopyWFState

Description

Usage

Java Method CopyWFState

`void` CopyWFState (

        java.lang.String dir ,
        java.lang.String name ,
        java.lang.String desc ,
        WorkFlowStateMode mode ,
        org.omg.CORBA.StringHolder path
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
dir | in | java.lang.String |
name | in | java.lang.String |
desc | in | java.lang.String |
mode | in | WorkFlowStateMode |
path | out | org.omg.CORBA.StringHolder |

Example

CORBA Method CreateWFState

Description

Usage

Java Method CreateWFState

`void` CreateWFState (

        java.lang.String dir ,
        java.lang.String name ,
        java.lang.String desc ,
        WorkFlowStateMode mode
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
dir | in | java.lang.String |
name | in | java.lang.String |
desc | in | java.lang.String |
mode | in | WorkFlowStateMode |

Example

CORBA Method DeleteVariable

Description

Usage

Java Method DeleteVariable

`void` DeleteVariable (

        java.lang.String name
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
name | in | java.lang.String |

Example

CORBA Method DisableWFState

Description

Usage

Java Method DisableWFState

`void` DisableWFState ( )

Example

CORBA Method GetSingleStepMode

Description

Usage

Java Method GetSingleStepMode

`void` GetSingleStepMode (

        org.omg.CORBA.BooleanHolder value ,
        org.omg.CORBA.BooleanHolder setSubSlot
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
value | out | org.omg.CORBA.BooleanHolder |
setSubSlot | out | org.omg.CORBA.BooleanHolder |

Example

CORBA Method GetState

Description

Usage

Java Method GetState

`void` GetState (

        ExecStateHolder state ,
        org.omg.CORBA.StringHolder errMsg
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
state | out | ExecStateHolder |
errMsg | out | org.omg.CORBA.StringHolder |

Example

CORBA Method GetStatus

Description

Usage

Java Method GetStatus

`java.lang.String[][]` GetStatus (

        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---

Example

CORBA Method GetTableRowsXML

Description

Usage

Java Method GetTableRowsXML

`octet[]` GetTableRowsXML (

        java.lang.String name ,
        long start ,
        int count
        )
        throws (
                EndOfFile,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
name | in | java.lang.String |
start | in | long |
count | in | int |

Example

CORBA Method GetVariable

Description

Usage

Java Method GetVariable

`void` GetVariable (

        java.lang.String name ,
        org.omg.CORBA.StringHolder value ,
        org.omg.CORBA.StringHolder type
        )
        throws (
                NotFound,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
name | in | java.lang.String |
value | out | org.omg.CORBA.StringHolder |
type | out | org.omg.CORBA.StringHolder |

Example

CORBA Method GetVariables

Description

Usage

Java Method GetVariables

`java.lang.String[][]` GetVariables (

        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---

Example

CORBA Method GetWFStatePath

Description

Usage

Java Method GetWFStatePath

`void` GetWFStatePath (

        org.omg.CORBA.StringHolder path
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
path | out | org.omg.CORBA.StringHolder |

Example

CORBA Method LoadVariableDefault

Description

Usage

Java Method LoadVariableDefault

`void` LoadVariableDefault (

        java.lang.String name
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
name | in | java.lang.String |

Example

CORBA Method LoadVariableDefaults

Description

Usage

Java Method LoadVariableDefaults

`void` LoadVariableDefaults ( )

Example

CORBA Method LoadWFState

Description

Usage

Java Method LoadWFState

`void` LoadWFState (

        java.lang.String path ,
        int flags
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
path | in | java.lang.String |
flags | in | int |

Example

CORBA Method ResolveMappedValue

Description

Usage

Java Method ResolveMappedValue

`void` ResolveMappedValue (

        java.lang.String mapping ,
        IProcessJobNode srcNode ,
        boolean tableAsURI ,
        int instExecNode ,
        org.omg.CORBA.StringHolder value ,
        org.omg.CORBA.StringHolder type
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
mapping | in | java.lang.String |
srcNode | in | IProcessJobNode |
tableAsURI | in | boolean |
instExecNode | in | int |
value | out | org.omg.CORBA.StringHolder |
type | out | org.omg.CORBA.StringHolder |

Example

CORBA Method Resume

Description

Usage

Java Method Resume

`void` Resume ( )

Example

CORBA Method Run

Description

Usage

Java Method Run

`void` Run ( )

Example

CORBA Method SaveExec

Description

Usage

Java Method SaveExec

`void` SaveExec (

        java.lang.String filename
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
filename | in | java.lang.String |

Example

CORBA Method SetExecContext

Description

Usage

Java Method SetExecContext

`void` SetExecContext (

        IProcessJobNode node ,
        ExecContextMoveType moveType ,
        ExecContextMoveType childMoveType
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
node | in | IProcessJobNode |
moveType | in | ExecContextMoveType |
childMoveType | in | ExecContextMoveType |

Example

CORBA Method SetExecContexts

Description

Usage

Java Method SetExecContexts

`void` SetExecContexts (

        ExecContextMoveType moveType ,
        ExecContextMoveType childoveType
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
moveType | in | ExecContextMoveType |
childoveType | in | ExecContextMoveType |

Example

CORBA Method SetSingleStepMode

Description

Usage

Java Method SetSingleStepMode

`void` SetSingleStepMode (

        boolean value ,
        boolean setSubSlot
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
value | in | boolean |
setSubSlot | in | boolean |

Example

CORBA Method SetVariable

Description

Usage

Java Method SetVariable

`void` SetVariable (

        java.lang.String name ,
        java.lang.String value ,
        java.lang.String type
        )
        throws (
                Unsupported,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
name | in | java.lang.String |
value | in | java.lang.String |
type | in | java.lang.String |

Example

CORBA Method Step

Description

Usage

Java Method Step

`void` Step ( )

Example

CORBA Method Stop

Description

Usage

Java Method Stop

`void` Stop (

        boolean kill
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
kill | in | boolean |

Example

CORBA Method ValidateExecContext

Description

Usage

Java Method ValidateExecContext

`void` ValidateExecContext (

        IProcessJobNode node
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
node | in | IProcessJobNode |

Example